Package org.apache.torque.manager

## Class TestManager

- java.lang.Object
- - org.apache.torque.manager.AbstractBaseManager<TestPersistent>
  - - org.apache.torque.manager.TestManager

- All Implemented Interfaces:
    `Serializable`

      public class TestManager
      extends AbstractBaseManager<TestPersistent>

  Test the manager implementation
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class org.apache.torque.manager.AbstractBaseManager

      `cache, groupCache, log, mrCache`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestManager()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected TestPersistent` | `retrieveStoredOM​(ObjectKey<?> id)` |
    `protected List<TestPersistent>` | `retrieveStoredOMs​(List<? extends ObjectKey<?>> ids)` |

    - ### Methods inherited from class org.apache.torque.manager.AbstractBaseManager

      `addCacheListenerImpl, addValidField, cacheGet, clearImpl, dispose, getClassName, getMethodResultCache, getOMClass, getOMInstance, getOMInstance, getOMInstance, getOMs, getOMs, getOMs, getRegion, notifyListeners, putInstanceImpl, putInstanceImpl, registerAsListener, removeInstanceImpl, setClassName, setOMClass, setRegion`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestManager

          public TestManager()

  - ### Method Detail

    - #### retrieveStoredOM

          protected TestPersistent retrieveStoredOM​(ObjectKey<?> id)
                                             throws TorqueException

      Specified by:
        `retrieveStoredOM` in class `AbstractBaseManager<TestPersistent>`
      Throws:
        `TorqueException`

    - #### retrieveStoredOMs

          protected List<TestPersistent> retrieveStoredOMs​(List<? extends ObjectKey<?>> ids)
                                                    throws TorqueException

      Specified by:
        `retrieveStoredOMs` in class `AbstractBaseManager<TestPersistent>`
      Throws:
        `TorqueException`